<template>
  <div class="overflow-hidden">
    <div class="half-circle-spinner">
      <div class="circle circle-1" :class="colorClass"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'LoadingSpinner',

  props: {
    colorType: {
      type: String,
      default: 'blue',
    },
  },

  computed: {
    colorClass() {
      if (this.$props.colorType === 'white') return 'circle_white';
      return 'circle_blue';
    },
  },
};
</script>

<style lang="scss">
.half-circle-spinner,
.half-circle-spinner * {
  box-sizing: border-box;
}

.half-circle-spinner {
  width: 24px;
  height: 24px;
  border-radius: 100%;
  position: relative;
}

.half-circle-spinner .circle {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 100%;
  border: calc(60px / 13) solid transparent;

  &_blue {
    border-top-color: #0066ff;
    border-left-color: #0066ff;
  }

  &_white {
    border-top-color: white;
    border-left-color: white;
  }
}

.half-circle-spinner .circle.circle-1 {
  animation: half-circle-spinner-animation 1s infinite linear;
}

@keyframes half-circle-spinner-animation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
</style>
